OrgSecretService
The OrgSecretService methods and their request and response messages.
Generated from org_secret.proto. Every method is
POST /rpc/engram.app.v1.OrgSecretService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
PutSecret |
PutSecretRequest |
PutSecretResponse |
ListSecrets |
ListSecretsRequest |
ListSecretsResponse |
DeleteSecret |
DeleteSecretRequest |
DeleteSecretResponse |
Messages
Section titled “Messages”DeleteSecretRequest
Section titled “DeleteSecretRequest”| Field | Type |
|---|---|
name |
string |
DeleteSecretResponse
Section titled “DeleteSecretResponse”| Field | Type |
|---|---|
deleted |
bool |
ListSecretsRequest
Section titled “ListSecretsRequest”No fields.
ListSecretsResponse
Section titled “ListSecretsResponse”| Field | Type |
|---|---|
secrets |
repeated OrgSecretMeta |
OrgSecretMeta
Section titled “OrgSecretMeta”| Field | Type |
|---|---|
name |
string |
key_id |
string |
created_at |
string |
updated_at |
string |
PutSecretRequest
Section titled “PutSecretRequest”| Field | Type |
|---|---|
name |
string |
value |
string |
PutSecretResponse
Section titled “PutSecretResponse”| Field | Type |
|---|---|
secret |
OrgSecretMeta |